Debian Bug report logs - #624065
smbldap-tools: Use Digest::SHA in smbldap-passwd and drop libdigest-sha1-perl dependency

version graph

Package: src:smbldap-tools; Maintainer for src:smbldap-tools is Sergio Talens-Oliag <sto@debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Mon, 25 Apr 2011 12:31:21 UTC

Severity: important

Tags: patch

Found in version smbldap-tools/0.9.5-1

Fixed in version smbldap-tools/0.9.6-1

Done: Sergio Talens-Oliag <sto@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#624065; Package src:smbldap-tools. (Mon, 25 Apr 2011 12:31:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Sergio Talens-Oliag <sto@debian.org>. (Mon, 25 Apr 2011 12:31:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smbldap-tools: Use Digest::SHA in smbldap-passwd and drop libdigest-sha1-perl dependency
Date: Mon, 25 Apr 2011 14:27:51 +0200
Source: smbldap-tools
Version: 0.9.5-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi Sergio

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Now the tool `smbldap-passwd' in smbldap-tools uses Digest::SHA1 and
from there only 'sha1'.

In preparation to the above, would it be possible to patch
smbldap-passwd to use Digest::SHA and then drop the Depends on
libdigest-sha1-perl?

Bests
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#624065; Package src:smbldap-tools. (Thu, 04 Aug 2011 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sergio Talens-Oliag <sto@debian.org>. (Thu, 04 Aug 2011 20:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 624065@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 624065@bugs.debian.org
Subject: smbldap-tools: diff for NMU version 0.9.5-1.1
Date: Thu, 4 Aug 2011 21:59:11 +0200
[Message part 1 (text/plain, inline)]
tags 624065 + patch
thanks

Dear Sergio,

I have prepared a small patch for smbldap-tools regarding this issue.
Please find it attached. It is named for nmu, but I haven't taken any
further action in this regard.

Regards and thanks for your work
Salvatore
[smbldap-tools-0.9.5-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Thu, 04 Aug 2011 20:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#624065; Package src:smbldap-tools. (Tue, 16 Aug 2011 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sergio Talens-Oliag <sto@debian.org>. (Tue, 16 Aug 2011 18:54:06 GMT) Full text and rfc822 format available.

Message #17 received at 624065@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:37 GMT) Full text and rfc822 format available.

Added indication that bug 624065 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:15:45 GMT) Full text and rfc822 format available.

Reply sent to Sergio Talens-Oliag <sto@debian.org>:
You have taken responsibility. (Thu, 18 Aug 2011 09:51:04 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 18 Aug 2011 09:51:08 GMT) Full text and rfc822 format available.

Message #26 received at 624065-close@bugs.debian.org (full text, mbox):

From: Sergio Talens-Oliag <sto@debian.org>
To: 624065-close@bugs.debian.org
Subject: Bug#624065: fixed in smbldap-tools 0.9.6-1
Date: Thu, 18 Aug 2011 09:47:57 +0000
Source: smbldap-tools
Source-Version: 0.9.6-1

We believe that the bug you reported is fixed in the latest version of
smbldap-tools, which is due to be installed in the Debian FTP archive:

smbldap-tools_0.9.6-1.diff.gz
  to main/s/smbldap-tools/smbldap-tools_0.9.6-1.diff.gz
smbldap-tools_0.9.6-1.dsc
  to main/s/smbldap-tools/smbldap-tools_0.9.6-1.dsc
smbldap-tools_0.9.6-1_all.deb
  to main/s/smbldap-tools/smbldap-tools_0.9.6-1_all.deb
smbldap-tools_0.9.6.orig.tar.gz
  to main/s/smbldap-tools/smbldap-tools_0.9.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergio Talens-Oliag <sto@debian.org> (supplier of updated smbldap-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Thu, 18 Aug 2011 10:55:45 +0200
Source: smbldap-tools
Binary: smbldap-tools
Architecture: source all
Version: 0.9.6-1
Distribution: unstable
Urgency: low
Maintainer: Sergio Talens-Oliag <sto@debian.org>
Changed-By: Sergio Talens-Oliag <sto@debian.org>
Description: 
 smbldap-tools - Scripts to manage Unix and Samba accounts stored on LDAP
Closes: 624065
Changes: 
 smbldap-tools (0.9.6-1) unstable; urgency=low
 .
   * New upstream release
   * Bumped standard version (no changes needed)
   * Add use-Digest-SHA.patch patch to use Digest::SHA from perl core instead
     of Digest::SHA1. Drop libdigest-sha1-perl from Depends (Closes: #624065).
     Patch from Salvatore Bonaccorso <carnil@debian.org>.
Checksums-Sha1: 
 050df04da154cef947e3e86bdfde57d417e85f02 1042 smbldap-tools_0.9.6-1.dsc
 c5220c63c57c191f9342076784dad1ef595129ba 304912 smbldap-tools_0.9.6.orig.tar.gz
 b931fa354ae2afbd7902040bfa2157b21e54affe 27549 smbldap-tools_0.9.6-1.diff.gz
 15be85036b9b9f37be287497705541b91d734977 338602 smbldap-tools_0.9.6-1_all.deb
Checksums-Sha256: 
 c04d8581e4d3672ce388a0f5ba484ae0995d8746d109b577ddb488d1a0ddf89a 1042 smbldap-tools_0.9.6-1.dsc
 e3bd27a5237c0f3f38c178b40cda982e0e4e9740c82949b40653f84d29becfe5 304912 smbldap-tools_0.9.6.orig.tar.gz
 3f65fe463c07ed67def9fce56a31fe4a96c49498dac1b29df613ac953ac68251 27549 smbldap-tools_0.9.6-1.diff.gz
 2e077b65c2ce418b8b6a5fe169fd04a6c9e8b90bf5e2b5129c15a82f89f3466b 338602 smbldap-tools_0.9.6-1_all.deb
Files: 
 41f0c9708b3228a178562c8ac301ee57 1042 admin extra smbldap-tools_0.9.6-1.dsc
 88c371fd16193a03ed0f98fd29f19515 304912 admin extra smbldap-tools_0.9.6.orig.tar.gz
 2cd28dc71cc5b0b2f64061adb6fac6a9 27549 admin extra smbldap-tools_0.9.6-1.diff.gz
 99e2e3880ca42265753499f49c5876aa 338602 admin extra smbldap-tools_0.9.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAk5M3Y4ACgkQZ3AFK7jB+ml5bgCgp6xnpoP2X57bPHxYEGGL+wJq
JygAnjHpOLMuk5PCoG10nBGqEvhNBuuI
=9LDO
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#624065; Package src:smbldap-tools. (Thu, 18 Aug 2011 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Sergio Talens-Oliag <sto@debian.org>. (Thu, 18 Aug 2011 21:33:09 GMT) Full text and rfc822 format available.

Message #31 received at 624065@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:29:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.